# saga::detail Namespace Reference

## Classes
struct | attribute
| The SAGA attribute interface. More...
struct | monitorable
| The SAGA monitorable interface. More...
struct | permissions
| The SAGA permissions interface. More...
struct | steerable
| The SAGA steerable interface. More...
struct | disable_reconvert
struct | disable_reconvert< std::vector< T > >
struct | reconvert_result
struct | create_default< saga::cpr::service >
struct | disable_reconvert< saga::job::state >
struct | disable_reconvert< saga::job::ostream >
struct | disable_reconvert< saga::job::istream >
struct | create_default< saga::job::service >
struct | create_default< saga::stream::stream >
struct | create_default< saga::stream::server >
struct | disable_reconvert< saga::stream::activity >
## Typedefs
typedef impl::v1_0::preferences | preference_type
## Functions
preference_type const & | get_preferences (saga::session const &)
std::string | leaf (boost::filesystem::path const &p)
void | set_selector_state (saga::task t, TR1::shared_ptr< impl::adaptor_selector_state > state)
saga::task | set_task_exception (saga::task t, saga::impl::object const *obj, saga::impl::exception_list const &e)
## Variables
template struct SAGA_EXPORT_REPEAT | attribute< context >
template struct SAGA_EXPORT_REPEAT | attribute< metric >

## Typedef Documentation

typedef impl::v1_0::preferences saga::detail::preference_type

## Function Documentation

preference_type const& saga::detail::get_preferences | ( | saga::session const & |  | ) |

std::string saga::detail::leaf | ( | boost::filesystem::path const & | p | ) | `[inline]`

void saga::detail::set_selector_state | ( | saga::task | t,
|  | TR1::shared_ptr< impl::adaptor_selector_state > | state |
| ) |  |  |

saga::task saga::detail::set_task_exception | ( | saga::task | t,
|  | saga::impl::object const * | obj,
|  | saga::impl::exception_list const & | e |
| ) |  |  |

## Variable Documentation

template struct SAGA_EXPORT_REPEAT saga::detail::attribute< context >

template struct SAGA_EXPORT_REPEAT saga::detail::attribute< metric >